#### defer (3 of 3 overloads)

Submits a completion token or function object for execution.

    template<
        typename ExecutionContext,
        typename CompletionToken = DEFAULT>
    DEDUCED defer(
        ExecutionContext & ctx,
        CompletionToken && token = DEFAULT,
        typename enable_if< is_convertible< ExecutionContext &, execution_context & >::value >::type *  = 0);

###### Return Value

`defer(ctx.get_executor(), forward<CompletionToken>(token))`.